# -*- coding: utf-8 -*-
from setuphelpers import *


def install():
    bin_name = glob.glob("opencpn_*_setup.exe")[0]
    bin_version = bin_name.split("_")[1].split("+")[0]
    bin_key = bin_name.rsplit("_")[-2].rsplit(".")[-1]
    app_uninstallkey = "OpenCPN " + bin_version + "+" + bin_key
    
    install_exe_if_needed(
        bin_name,
        silentflags="/S",
        key= app_uninstallkey,
        min_version="",
        timeout=600,
        accept_returncodes=[0, 3010, 1223],
    )
    
    # Adding QuietUninstallString
    quiet_uninstall_string = installed_softwares(uninstallkey=app_uninstallkey)[0]["uninstall_string"] + " /S"
    register_uninstall(app_uninstallkey, quiet_uninstall_string=quiet_uninstall_string)
